Subject: RE: [mpls] Questions for clarification on draft-ietf-mpls-mp-ldp-reqs-00

From: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>
Date: Tue, 16 May 2006 14:34:03 +0200

Hi Ben,

Please see inline, 

> -----Message d'origine-----
> De : [email-masked] 
> [mailto:[email-masked]] 
> Envoyé : mardi 16 mai 2006 12:31
> À : [email-masked]
> Objet : [mpls] Questions for clarification on 
> draft-ietf-mpls-mp-ldp-reqs-00
> 
> Authors and colleagues,
> 
> Having just read draft-ietf-mpls-mp-ldp-reqs-00 I have a 
> couple of questions for clarification.
> 
> Section 3.2 - Requirements overview
> "The P2MP LDP mechanism MUST allow the arbitrary addition or 
> removal of leaves associated with a P2MP LSP."
> 
> What do you mean by arbitrary?  I assume you mean that once a 
> P2MP LSP is setup it must be possible to add additional 
> leaves and prunes leaves as required?

Yes, here "arbitrary" means without any constraints (e.g. location of leaves , arrival/departure orders...)
We will reformulate.

> 
> "The P2MP LDP mechanism MUST interoperate seamlessly with 
> existing P2P and MP2P LDP mechanisms."
> 
> What do you mean by interoperate?  I assume you mean that 
> P2P, MP2P and P2MP LDP mechanisms must be able to co-exist in 
> the same network but the P2MP LDP mechanism doesn't actually 
> interoperate with P2P/MP2P LDP?  

You are right "co-exist" is actually the goog term

>Or do you mean that it 
> should be possible for an LSR that doesn't 'speak'
> P2MP LDP to be able to process and participate in P2MP LDP 
> LSP setup (obviously if it doesn't support P2MP LDP it won't 
> be able to replicate/branch traffic)?

This is not the meaning. 
In return, note that it should be possible to signal a P2MP LSP through a non-branch legacy LSR (that doesn't speak P2MP LDP), but we don't enter the solution specturm here (there are actually various options to meet this requirement: interop (with backward compatible protocol extensions), tunneling...).

Thanks a lot for your comments, which help clarifying the requirements.

Regards,

JL

> 
> 
> Thanks
> Ben
> 
> 
> --
> Ben Niven-Jenkins
> Network Architect, BT Exact
>   
> E-mail: [email-masked]
> Office: +44 (0)1473 648225
> Mobile: +44 (0)7918 077205
>    Fax: +44 (0)1332 578827
> 
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mpls
> 

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls